Page MenuHomePhabricator

ui.table: implement homogeneous mode
ClosedPublic

Authored by YOhoho on Feb 7 2019, 2:09 AM.

Details

Summary

Homogeneous mode means children are of the same weight and of the same min size
which is determined by maximum min size of cells.

Depends on D7841

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Feb 7 2019, 2:09 AM
YOhoho requested review of this revision.Feb 7 2019, 2:09 AM
YOhoho updated this revision to Diff 19470.Feb 20 2019, 6:30 PM
YOhoho edited the summary of this revision. (Show Details)

rewrite

zmike accepted this revision.Feb 25 2019, 4:23 AM
This revision is now accepted and ready to land.Feb 25 2019, 4:23 AM
zmike requested changes to this revision.Feb 25 2019, 4:45 AM

This doesn't build.

This revision now requires changes to proceed.Feb 25 2019, 4:45 AM

I think this is a typo.

src/lib/elementary/efl_ui_table_layout.c
200

It seems that 'cell_index' should be replaced with 'cell_count'.

YOhoho updated this revision to Diff 19694.Feb 26 2019, 3:36 AM

fix build

I think this is a typo.

I forgot git add in previous revision.
cell_count is renamed with cell_index :)

zmike accepted this revision.Feb 27 2019, 11:50 AM
This revision is now accepted and ready to land.Feb 27 2019, 11:50 AM
This revision was automatically updated to reflect the committed changes.